{% extends 'base.html' %}
{% load static %}

{%block content%}


<div class="container-fluid vh-100">
    <div class="mx-auto big-list-container">

        <div class="row big-list-row mx-auto"></div>
        <div class="row big-list-row mx-auto">
            <div class="col-1 h-100 big-list-img"> <p> IMG </p> </div> 
            <div class="col-1 h-100 big-list-lvl"> <p> NIVEAU </p> </div> 
            <div class="col-2 h-100 big-list-name"> <p> NOM </p> </div>
            <div class="col-8 h-100 big-list-desc"> <p> OBTENTION </p> </div> 
        </div>

    <!-- Liste des cartes -->
        {% for card in page_obj %}

            <div class="row big-list-row mx-auto">
                <div class="col-1 h-100 big-list-img"> <img src="{% static 'images/cards/'%}{{card.getIconName}}"> </img></div> 
                <div class="col-1 h-100 big-list-lvl"> <p> Lvl{{card.serie}} </p> </div> 
                <div class="col-2 h-100 big-list-name"> <p> {{card.name}} </p> </div>
                <div class="col-8 h-100 big-list-desc"> <p> {{card.obtention}} </p> </div> 
                <a href="{%url 'appli:card' card.pk %}" class="stretched-link"></a>
            </div>

        {% endfor %}
        <div class="row big-list-row mx-auto"></div>

        <div class="row big-list-footer mx-auto">
            <div class="col-4 h-100">
                <div class="pagination paginator border border-5">
                    <span class="step-links">
                        {% if page_obj.has_previous %}
                            <a href="?page=1">&laquo; first</a>
                            <a href="?page={{ page_obj.previous_page_number }}">previous</a>
                        {% endif %}

                        <span class="current">
                            Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
                        </span>

                        {% if page_obj.has_next %}
                            <a href="?page={{ page_obj.next_page_number }}">next</a>
                            <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
                        {% endif %}
                    </span>
                </div>
            </div> 

            <div class="col-2 h-100"></div> 

            <div class="col-6 h-100">
                <div class="recherche-serie w-100 border border-5">
                    <!-- Formulaire des séries-->
                    <form action="{% url 'appli:serieFilter'%}" method="post">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="choice">Recherche par série</label>
                            <input type="number" class="form-control form-control-sm" id="choice" name="choice" placeholder="Entrer une série" value="0">
                            <input type="submit" class="btn btn-primary" value="Envoyer">
                        </div>
                    </form>
                </div>
            </div> 
        </div>

    </div>
</div>

{% endblock %}